-- user
-- Table for User Gear Entity
-- 1_user_gear_create_table.sql
CREATE TABLE IF NOT EXISTS user_gear_entity (
    _id INTEGER PRIMARY KEY AUTOINCREMENT, -- 0
            remote_id TEXT,
            name TEXT,
            initial_distance REAL,
            target_distance REAL,
            purchase_date INTEGER,
            current_distance REAL,
            total_time_seconds INTEGER,
            current_time_seconds INTEGER,
            total_steps INTEGER,
            retired BOOLEAN,
            serial_number TEXT,
            advertised_name TEXT,
            device_address TEXT,
            firmware_version TEXT,
            active_mode_time INTEGER,
            workout_mode_time INTEGER,
            workout_mode_steps INTEGER,
            workout_mode_distance REAL,
            total_distance REAL

);
CREATE INDEX IF NOT EXISTS idx_user_gear_entity_remote_id ON user_gear_entity(remote_id);