-- autocomplete query
-- Table for finding entities
-- 1_autocomplete_query_create_table.sql
CREATE TABLE autocomplete_entity (
        _id INTEGER PRIMARY KEY AUTOINCREMENT, -- 0
        query_text TEXT NOT NULL,
        filter TEXT, -- formatted as groupid:<id>, userid:<id>, etc
        entity_href TEXT NOT NULL
);
CREATE UNIQUE INDEX idx_autocomplete_entity_query_text ON autocomplete_entity(query_text);
CREATE UNIQUE INDEX idx_autocomplete_entity_query_text_filter ON autocomplete_entity(query_text, filter);
